CREATE TABLE cst_i_incoming_txn_costs (
    EXTERNAL_SYSTEM_REFERENCE    VARCHAR2(240) ,
    EXTERNAL_SYSTEM_REF_ID       VARCHAR2(120) ,
    LOAD_REQUEST_ID              NUMBER(18, 0) ,
    EXTERNAL_SYSTEM_SOURCE       VARCHAR2(120) ,
    COST_COMPONENT_CODE          VARCHAR2(120) ,
    INVENTORY_ORG_ID             NUMBER(18, 0) ,
    USE_ITEM_COST_FLAG           VARCHAR2(4)   ,
    COST                         NUMBER        ,
    CURRENCY_CODE                VARCHAR2(60)  ,
    CURRENCY_CONVERSION_TYPE     VARCHAR2(120) ,
    CURRENCY_CONVERSION_DATE     DATE          ,
    CURRENCY_CONVERSION_RATE     NUMBER        ,
    ERROR_CODE                   VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    REQUEST_ID                   NUMBER(18, 0) ,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    CODE_COMBINATION_ID          NUMBER(18, 0) ,
    EXTERNAL_SYSTEM_REFERENCE    VARCHAR2(240) ,
    EXTERNAL_SYSTEM_REF_ID       VARCHAR2(120) ,
    USE_ITEM_COST_FLAG           VARCHAR2(4)   ,
    COST_COMPONENT_CODE          VARCHAR2(120) ,
    COST                         NUMBER        ,
    CURRENCY_CODE                VARCHAR2(60)  ,
    CURRENCY_CONVERSION_TYPE     VARCHAR2(120) ,
    CURRENCY_CONVERSION_DATE     DATE          ,
    CURRENCY_CONVERSION_RATE     NUMBER        ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    REQUEST_ID                   NUMBER(18, 0) ,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    LOAD_REQUEST_ID              NUMBER(18, 0) ,
    EXTERNAL_SYSTEM_SOURCE       VARCHAR2(120) ,
    ERROR_CODE                   VARCHAR2(120) ,
    CODE_COMBINATION_ID          NUMBER(18, 0) ,
    INVENTORY_ORG_ID             NUMBER(18, 0) ,
    CONSTRAINT pk_cst_i_incoming_txn_costs PRIMARY KEY (EXTERNAL_SYSTEM_REFERENCE, EXTERNAL_SYSTEM_REF_ID, LOAD_REQUEST_ID, EXTERNAL_SYSTEM_SOURCE, COST_COMPONENT_CODE, EXTERNAL_SYSTEM_REFERENCE, EXTERNAL_SYSTEM_REF_ID, COST_COMPONENT_CODE, LOAD_REQUEST_ID, EXTERNAL_SYSTEM_SOURCE)
);
